/*hide search input in Extended search*/

.filters-panel.ng-scope .block .title:before {
    display: none;
}

.title.toggleControl:before, a.toggleControl::before {
    content: "\f078";
    font-family: 'FontAwesome' !important;
    font-size: 12px;
    transform: translateY(-50%) rotate(0deg)
}

input.FilterProductIdsByAttriubte:disabled, label.filter-item-name.disabled {
    opacity: 0.5 !important;
}

.block-category-navigation .block .title strong {
    font-weight: bold;
}

.filters-panel .block .title, .block-category-navigation .title, .block.block-recently-viewed-products .title,
.block.block-manufacturer-navigation .title {
    color: #444444;
    background-color: #f6f6f6;
    cursor: pointer;
    border-bottom: 2px solid #3e3e3e !important;
    font-weight: bold;
}

    .title.toggleControl strong.ng-binding,
    .block.block-category-navigation .title strong, .block.block-recently-viewed-products .title strong {
        font-weight: bold !important;
    }

.filters-panel .block .title {
    font-size: 17px;
    color: #444444;
    background-color: #f6f6f6;
    cursor: pointer;
    text-align: right;
}

.filters-panel .toggleControl:before {
    right: 25px;
    left: auto;
    transform: rotate(360deg);
    transition: transform 0.6s ease;
}

.filters-panel .toggleControl.closed:before {
    right: 25px;
    left: auto;
    transform: rotate(90deg);
    transition: transform 0.3s ease;
}

a .toggleControl {
    display: flex;
}

.checkbox-wrapper-48 {
    --gray: #636e72;
    --very-light-gray: #eee;
    --light-gray: #9098A9;
    --x-light-gray: #dfe6e9;
    --gradient: linear-gradient(180deg, #E02020 0%, #FA6400 17%, #F7B500 33%, #6DD400 50%, #0091FF 67%, #6236FF 83%, #B620E0 100%);
}


label.filter-item-name.ng-binding {
    text-align: right;
    display: flex;
    align-items: center;
    gap: 16px;
    max-width: 100%;
    text-transform: none;
    font-size: 15px;
    color: black;
    font-weight: 400;
    cursor: pointer;
    z-index: 2;
    transition: all .2s ease-in-out;
}

.block .list a {
    color: black;
}

a.toggleControl {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 20px;
}

ul.checkbox-list {
    padding: 10px 30px 0 30px;
}


/* CORE STYLES */
.checkbox-wrapper-48 input {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    width: 1.5em;
    height: 1.5em;
    font: inherit;
    border: 0.1em solid var(--light-gray);
    margin-bottom: -0.125em;
}

    .checkbox-wrapper-48 input[type=checkbox] {
        border-radius: 0.25em;
        background: round;
    }

    .checkbox-wrapper-48 input:checked {
        background: #3cbfd2;
        box-shadow: 0 0 0px 0.15em inset #fff;
        border: 1.5px solid;
    }

label.filter-item-name.ng-binding:checked {
    color: black;
}

.checkbox-wrapper-48 input:not(:checked):hover {
    background: linear-gradient(#d2272a) padding-box, var(--gradient) border-box;
}

.colorOptions .color {
    width: 35px !important;
    height: 35px !important;
    border-radius: 0 !important;
    right: -19px !important;
}

.item-grid {
    display: flex;
    flex-wrap: wrap;
}

.product-selectors .product-viewmode {
    float: right;
}

    .product-selectors .product-viewmode a.grid {
        content: url('../../images/samples/all-old-icons/view-grid.png') !important;
        width: 23px;
        height: 20px;
    }

    .product-selectors .product-viewmode a.list {
        content: url('../../images/samples/all-old-icons/view-list.png');
        width: 23px;
        height: 20px;
    }

.product-viewmode {
    display: flex !important;
    align-items: center;
    height: 45px;
}

label.filter-item-category {
    display: flex;
    gap: 10px;
}

li.checkbox-item.category-without-checkbox {
    font-weight: bold;
    margin-right: 14%;
    margin-bottom: 2%;
}

@media (min-width: 1281px) {
    .block-category .listbox {
        padding: 3px 30px;
    }
}

@media (min-width: 1025px) {
    .side-2 {
        border: 1px solid #eeeeee;
    }

    .center-2 {
        margin: 0 0 50px 0;
        width: 72%;
    }
}

@media screen and (min-width: 1024px) {
    .close-filter-product {
        display: none;
    }

    .container-document-filter.container-product-filter {
        border: 0;
        padding: 0;
        background: transparent;
        position: initial;
    }
}

@media screen and (max-width: 1024px) {
    .filters-panel.ng-scope .block .title, .title.toggleControlt {
        padding: 14px 30px 14px 20px !important;
    }

    .close-filter-product {
        width: 100%;
        height: 40px;
        text-align: center;
        line-height: 30px;
    }

    .filters-panel .filters-button {
        width: 95%;
        border-radius: 3px;
        border: 0;
        text-align: center;
        font-size: 16px;
        margin: auto;
        height: 40px;
        color: #fff;
        font-weight: 700;
    }

    div#container-product-filter {
        width: 100% !important;
        padding: 0;
        overflow: scroll;
        height: 100vh !important;
        -webkit-overflow-scrolling: touch !important;
        display: flex !important;
        flex-direction: column;
    }

    a.toggleControl::before {
        content: none;
    }

    .title.toggleControl:before {
        transform: translateY(-50%) rotate(0deg);
    }

    .title.toggleControl.open:before {
        transform: translateY(-50%) rotate(90deg);
    }

    [aria-describedby="container-product-filter"] .ui-dialog-titlebar button:before {
        text-transform: none;
        font-weight: bolder;
        font-size: 20px;
        line-height: 20px;
        color: white;
    }

    .container-product-filter .block.ng-scope {
        margin: 0;
    }

    .container-product-filter .close-side-filter-menu:before {
        content: "\e904" !important;
    }

    .inner-container-product-filter {
        height: 100vh
    }

    .filters-panel {
        display: flex;
        flex-direction: column;
    }

    .ui-dialog[aria-labelledby="ui-dialog-title-container-product-filter"] {
        top: 125px !important;
        height: 100vh !important;
    }

        .ui-dialog[aria-labelledby="ui-dialog-title-container-product-filter"] .ui-dialog-titlebar {
            display: none;
        }

    .close-side-menu {
        height: 50px;
        display: flex !important;
        align-items: center;
        justify-content: space-between;
        display: block;
        padding: 15px 20px;
        color: #fff;
        width: 100%;
        border: 0;
        text-align: right;
    }

        .close-side-menu span {
            font-size: 16px;
        }

    .ui-dialog-content button {
        margin-top: 0;
        background-color: transparent;
        border: 0;
    }

    .ui-dialog[aria-describedby="container-product-filter"] {
        top: 0 !important;
        position: absolute;
    }

    .ui-dialog[aria-describedby="container-product-filter"] {
        width: 100%;
    }
}
